Bug 126342 - [GTK] Move all GTK/GObject unit tests to Tools/TestWebKitAPI
Summary: [GTK] Move all GTK/GObject unit tests to Tools/TestWebKitAPI
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-31 08:12 PST by Martin Robinson
Modified: 2014-01-06 13:10 PST (History)
11 users (show)

See Also:


Attachments
WIP patch (1.62 MB, patch)
2014-01-03 06:42 PST, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff
Updated patch to fix the build with autotools (1.66 MB, patch)
2014-01-03 09:13 PST, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff
Updated patch using --binary (1.75 MB, patch)
2014-01-03 09:16 PST, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff
Updated patch to try to fix the build without webkit1 (1.75 MB, patch)
2014-01-03 10:01 PST, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff
Updated patch to fix the style issues (1.75 MB, patch)
2014-01-04 02:00 PST, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff
Include CMake build support (1.74 MB, patch)
2014-01-04 12:31 PST, Martin Robinson
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2013-12-31 08:12:10 PST
This location makes a lot more sense for holding all the unit tests that we have.
Comment 1 Carlos Garcia Campos 2014-01-03 06:42:18 PST
Created attachment 220300 [details]
WIP patch

This is a WIP patch, although the only thing missing is the cmake stuff. I just want to make sure we all agree with the new places and names before fighting with the cmake files.

This patch moves the wk2 tests to Tools/TestWebKitAPI/Tests/WebKit2Gtk and wk1 to Tools/TestWebKitAPI/Tests/WebKitGtk. Binaries for all tests have also changed now we have:

$ ls -R Programs/TestWebKitAPI/
Programs/TestWebKitAPI/:
JavaScriptCore  WebCore  WebCoreGtk  WebKit2  WebKit2Gtk  WebKitGtk  WTF

Programs/TestWebKitAPI/JavaScriptCore:
TestJavaScriptCore

Programs/TestWebKitAPI/WebCore:
TestWebCore

Programs/TestWebKitAPI/WebCoreGtk:
TestWebCoreGtk

Programs/TestWebKitAPI/WebKit2:
TestWebKit2

Programs/TestWebKitAPI/WebKit2Gtk:
AccessibilityTestServer  TestBackForwardList  TestDownloads        TestLoaderClient  TestUIClient               TestWebKitFindController  TestWebKitWebContext
InspectorTestServer      TestContextMenu      TestFrame            TestPrinting      TestWebExtensions          TestWebKitPolicyClient    TestWebKitWebView
resources                TestCookieManager    TestInspector        TestResources     TestWebKitAccessibility    TestWebKitSettings        TestWebKitWebViewGroup
TestAuthentication       TestDOMNode          TestInspectorServer  TestSSL           TestWebKitFaviconDatabase  TestWebKitVersion         TestWebViewEditor

Programs/TestWebKitAPI/WebKit2Gtk/resources:
webkit2gtk-tests-resources.gresource

Programs/TestWebKitAPI/WebKitGtk:
testapplicationcache  testcopyandpaste  testdownload         testhttpbackend   testnetworkrequest      testwebframe           testwebresource
testatk               testdomdocument   testfavicondatabase  testkeyevents     testnetworkresponse     testwebhistoryitem     testwebsettings
testatkroles          testdomdomwindow  testglobals          testloading       testwebbackforwardlist  testwebinspector       testwebview
testcontextmenu       testdomnode       testhittestresult    testmimehandling  testwebdatasource       testwebplugindatabase  testwindow

Programs/TestWebKitAPI/WTF:
TestWTF
Comment 2 Martin Robinson 2014-01-03 06:55:18 PST
(In reply to comment #1)
> Created an attachment (id=220300) [details]
> WIP patch
> 
> This is a WIP patch, although the only thing missing is the cmake stuff. I just want to make sure we all agree with the new places and names before fighting with the cmake files.

This organization works for me.
Comment 3 Carlos Garcia Campos 2014-01-03 09:13:55 PST
Created attachment 220306 [details]
Updated patch to fix the build with autotools

cmake build is still missing, tried to do it but it's not just adding new files, and I still don't understand cmake well enough.
Comment 4 Carlos Garcia Campos 2014-01-03 09:16:58 PST
Created attachment 220307 [details]
Updated patch using --binary

Try to make it apply using git diff --binary
Comment 5 WebKit Commit Bot 2014-01-03 09:19:17 PST
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 6 WebKit Commit Bot 2014-01-03 09:19:32 PST
Attachment 220307 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'ChangeLog', u'GNUmakefile.am', u'Source/WebKit/gtk/ChangeLog', u'Source/WebKit/gtk/tests/CMakeLists.txt', u'Source/WebKit/gtk/tests/GNUmakefile.am', u'Source/WebKit/gtk/tests/resources/blank.ico', u'Source/WebKit/gtk/tests/resources/test.html', u'Source/WebKit/gtk/tests/resources/test.ogg', u'Source/WebKit/gtk/tests/resources/test.pdf', u'Source/WebKit/gtk/tests/resources/test.txt', u'Source/WebKit/gtk/tests/test_utils.c', u'Source/WebKit/gtk/tests/test_utils.h', u'Source/WebKit/gtk/tests/testapplicationcache.c', u'Source/WebKit/gtk/tests/testatk.c', u'Source/WebKit/gtk/tests/testatkroles.c', u'Source/WebKit/gtk/tests/testcontextmenu.c', u'Source/WebKit/gtk/tests/testcopyandpaste.c', u'Source/WebKit/gtk/tests/testdomdocument.c', u'Source/WebKit/gtk/tests/testdomdomwindow.c', u'Source/WebKit/gtk/tests/testdomnode.c', u'Source/WebKit/gtk/tests/testdownload.c', u'Source/WebKit/gtk/tests/testfavicondatabase.c', u'Source/WebKit/gtk/tests/testglobals.c', u'Source/WebKit/gtk/tests/testhittestresult.c', u'Source/WebKit/gtk/tests/testhttpbackend.c', u'Source/WebKit/gtk/tests/testkeyevents.c', u'Source/WebKit/gtk/tests/testloading.c', u'Source/WebKit/gtk/tests/testmimehandling.c', u'Source/WebKit/gtk/tests/testnetworkrequest.c', u'Source/WebKit/gtk/tests/testnetworkresponse.c', u'Source/WebKit/gtk/tests/testwebbackforwardlist.c', u'Source/WebKit/gtk/tests/testwebdatasource.c', u'Source/WebKit/gtk/tests/testwebframe.c', u'Source/WebKit/gtk/tests/testwebhistoryitem.c', u'Source/WebKit/gtk/tests/testwebinspector.c', u'Source/WebKit/gtk/tests/testwebplugindatabase.c', u'Source/WebKit/gtk/tests/testwebresource.c', u'Source/WebKit/gtk/tests/testwebsettings.c', u'Source/WebKit/gtk/tests/testwebview.c', u'Source/WebKit/gtk/tests/testwindow.c', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/UIProcess/API/gtk/tests/AccessibilityTestServer.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/CMakeLists.txt', u'Source/WebKit2/UIProcess/API/gtk/tests/DOMNodeTest.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/FrameTest.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/GNUmakefile.am', u'Source/WebKit2/UIProcess/API/gtk/tests/InspectorTestServer.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/LoadTrackingTest.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/LoadTrackingTest.h', u'Source/WebKit2/UIProcess/API/gtk/tests/TestAuthentication.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestBackForwardList.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestContextMenu.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestCookieManager.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestDOMNode.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestDownloads.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestFrame.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestInspector.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestInspectorServer.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestLoaderClient.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestMain.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestMain.h', u'Source/WebKit2/UIProcess/API/gtk/tests/TestPrinting.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestResources.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestSSL.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestUIClient.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebExtensions.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebKitAccessibility.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebKitFaviconDatabase.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebKitFindController.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebKitPolicyClient.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebKitSettings.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebKitVersion.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebKitWebContext.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebKitWebView.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebKitWebViewGroup.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebViewEditor.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/WebExtensionTest.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/WebKitTestBus.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/WebKitTestBus.h', u'Source/WebKit2/UIProcess/API/gtk/tests/WebKitTestServer.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/WebKitTestServer.h', u'Source/WebKit2/UIProcess/API/gtk/tests/WebProcessTest.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/WebProcessTest.h', u'Source/WebKit2/UIProcess/API/gtk/tests/WebProcessTestRunner.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/WebProcessTestRunner.h', u'Source/WebKit2/UIProcess/API/gtk/tests/WebViewTest.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/WebViewTest.h', u'Source/WebKit2/UIProcess/API/gtk/tests/resources/link-title.js', u'Source/WebKit2/UIProcess/API/gtk/tests/resources/test-cert.pem', u'Source/WebKit2/UIProcess/API/gtk/tests/resources/test-key.pem', u'Source/WebKit2/UIProcess/API/gtk/tests/resources/webkit2gtk-tests.gresource.xml', u'Tools/ChangeLog', u'Tools/Scripts/run-gtk-tests', u'Tools/Scripts/webkitpy/style/checker.py', u'Tools/Scripts/webkitpy/style/checker_unittest.py', u'Tools/TestWebKitAPI/GNUmakefile.am', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/AccessibilityTestServer.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/DOMDOMWindowTest.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/DOMNodeTest.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/FrameTest.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/InspectorTestServer.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestAuthentication.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestBackForwardList.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestContextMenu.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestCookieManager.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestDOMDOMWindow.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestDOMNode.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestDownloads.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestFrame.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestInspector.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestInspectorServer.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestLoaderClient.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestPrinting.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestResources.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestSSL.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestUIClient.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebExtensions.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitAccessibility.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitFaviconDatabase.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitFindController.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitPolicyClient.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitSettings.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitVersion.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebContext.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebView.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebViewGroup.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebViewEditor.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/WebExtensionTest.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/WebProcessTest.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/WebProcessTest.h', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/resources/link-title.js', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/resources/test-cert.pem', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/resources/test-key.pem', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/resources/webkit2gtk-tests.gresource.xml', u'Tools/TestWebKitAPI/Tests/WebKitGtk/resources/blank.ico', u'Tools/TestWebKitAPI/Tests/WebKitGtk/resources/test.html', u'Tools/TestWebKitAPI/Tests/WebKitGtk/resources/test.ogg', u'Tools/TestWebKitAPI/Tests/WebKitGtk/resources/test.pdf', u'Tools/TestWebKitAPI/Tests/WebKitGtk/resources/test.txt', u'Tools/TestWebKitAPI/Tests/WebKitGtk/test_utils.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/test_utils.h', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testapplicationcache.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testatk.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testatkroles.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testcontextmenu.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testcopyandpaste.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testdomdocument.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testdomdomwindow.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testdomnode.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testdownload.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testfavicondatabase.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testglobals.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testhittestresult.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testhttpbackend.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testkeyevents.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testloading.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testmimehandling.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testnetworkrequest.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testnetworkresponse.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwebbackforwardlist.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwebdatasource.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwebframe.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwebhistoryitem.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwebinspector.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwebplugindatabase.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwebresource.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwebsettings.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwebview.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwindow.c', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/LoadTrackingTest.cpp', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/LoadTrackingTest.h', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/TestMain.cpp', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/TestMain.h', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebKitTestBus.cpp', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebKitTestBus.h', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebKitTestServer.cpp', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebKitTestServer.h', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebProcessTestRunner.cpp', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebProcessTestRunner.h', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.cpp', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.h', '--commit-queue']" exit_code: 1
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestResources.cpp:259:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testglobals.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testfavicondatabase.c"
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/WebExtensionTest.cpp:215:  One line control clauses should not use braces.  [whitespace/braces] [4]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/WebExtensionTest.cpp:224:  Declaration has space between type name and * in static GDBusNodeInfo *introspectionData  [whitespace/declaration] [3]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwebinspector.c"
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.cpp:245:  Omit int when using unsigned  [runtime/unsigned] [1]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.cpp:269:  Omit int when using unsigned  [runtime/unsigned] [1]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.cpp:275:  Omit int when using unsigned  [runtime/unsigned] [1]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.cpp:301:  Omit int when using unsigned  [runtime/unsigned] [1]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwebsettings.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testhittestresult.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwebbackforwardlist.c"
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebKitTestServer.cpp:40:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebKitTestServer.cpp:41:  Use 0 instead of NULL.  [readability/null] [5]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebKitTestServer.cpp:41:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/resources/test.txt"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testnetworkrequest.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testcopyandpaste.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwebview.c"
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/TestMain.h:45:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/TestMain.h:46:  Else clause should never be on same line as else (use 2 lines)  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/TestMain.h:46:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/TestMain.h:48:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/test_utils.h"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/test_utils.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwebframe.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testdownload.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testkeyevents.c"
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestPrinting.cpp:123:  Omit int when using unsigned  [runtime/unsigned] [1]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestPrinting.cpp:150:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwebhistoryitem.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testatkroles.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testloading.c"
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebKitTestServer.h:36:  The parameter name "type" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitSettings.cpp:282:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitSettings.cpp:283:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitSettings.cpp:284:  Use 0 instead of NULL.  [readability/null] [5]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitSettings.cpp:284:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.h:55:  Omit int when using unsigned  [runtime/unsigned] [1]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.h:56:  Omit int when using unsigned  [runtime/unsigned] [1]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.h:57:  Omit int when using unsigned  [runtime/unsigned] [1]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.h:83:  Omit int when using unsigned  [runtime/unsigned] [1]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/resources/test.html"
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebContext.cpp:403:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebContext.cpp:406:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwebplugindatabase.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testapplicationcache.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testdomdomwindow.c"
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebViewEditor.cpp:28:  Omit int when using unsigned  [runtime/unsigned] [1]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebViewEditor.cpp:29:  Omit int when using unsigned  [runtime/unsigned] [1]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwindow.c"
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebExtensions.cpp:138:  Declaration has space between type name and * in static const char *mainWorldScript  [whitespace/declaration] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebExtensions.cpp:152:  Declaration has space between type name and * in static const char *isolatedWorldScript  [whitespace/declaration] [3]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testhttpbackend.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwebdatasource.c"
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/AccessibilityTestServer.cpp:41:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/AccessibilityTestServer.cpp:42:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/AccessibilityTestServer.cpp:43:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/AccessibilityTestServer.cpp:44:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/AccessibilityTestServer.cpp:45:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/AccessibilityTestServer.cpp:46:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/AccessibilityTestServer.cpp:47:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/AccessibilityTestServer.cpp:48:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testatk.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testcontextmenu.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testmimehandling.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testdomdocument.c"
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebViewGroup.cpp:84:  Use 0 instead of NULL.  [readability/null] [5]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitAccessibility.cpp:100:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/WebProcessTest.cpp:79:  Declaration has space between type name and * in static GDBusNodeInfo *introspectionData  [whitespace/declaration] [3]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwebresource.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testnetworkresponse.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testdomnode.c"
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebView.cpp:389:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebView.cpp:390:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebView.cpp:391:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebView.cpp:392:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebView.cpp:393:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebView.cpp:394:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebView.cpp:395:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebView.cpp:396:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 50 in 90 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 Carlos Garcia Campos 2014-01-03 10:01:26 PST
Created attachment 220314 [details]
Updated patch to try to fix the build without webkit1

I had forgotten there's an option to build without webkit1 :-P
Comment 8 WebKit Commit Bot 2014-01-03 10:05:40 PST
Attachment 220314 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'ChangeLog', u'GNUmakefile.am', u'Source/WebKit/gtk/ChangeLog', u'Source/WebKit/gtk/tests/CMakeLists.txt', u'Source/WebKit/gtk/tests/GNUmakefile.am', u'Source/WebKit/gtk/tests/resources/blank.ico', u'Source/WebKit/gtk/tests/resources/test.html', u'Source/WebKit/gtk/tests/resources/test.ogg', u'Source/WebKit/gtk/tests/resources/test.pdf', u'Source/WebKit/gtk/tests/resources/test.txt', u'Source/WebKit/gtk/tests/test_utils.c', u'Source/WebKit/gtk/tests/test_utils.h', u'Source/WebKit/gtk/tests/testapplicationcache.c', u'Source/WebKit/gtk/tests/testatk.c', u'Source/WebKit/gtk/tests/testatkroles.c', u'Source/WebKit/gtk/tests/testcontextmenu.c', u'Source/WebKit/gtk/tests/testcopyandpaste.c', u'Source/WebKit/gtk/tests/testdomdocument.c', u'Source/WebKit/gtk/tests/testdomdomwindow.c', u'Source/WebKit/gtk/tests/testdomnode.c', u'Source/WebKit/gtk/tests/testdownload.c', u'Source/WebKit/gtk/tests/testfavicondatabase.c', u'Source/WebKit/gtk/tests/testglobals.c', u'Source/WebKit/gtk/tests/testhittestresult.c', u'Source/WebKit/gtk/tests/testhttpbackend.c', u'Source/WebKit/gtk/tests/testkeyevents.c', u'Source/WebKit/gtk/tests/testloading.c', u'Source/WebKit/gtk/tests/testmimehandling.c', u'Source/WebKit/gtk/tests/testnetworkrequest.c', u'Source/WebKit/gtk/tests/testnetworkresponse.c', u'Source/WebKit/gtk/tests/testwebbackforwardlist.c', u'Source/WebKit/gtk/tests/testwebdatasource.c', u'Source/WebKit/gtk/tests/testwebframe.c', u'Source/WebKit/gtk/tests/testwebhistoryitem.c', u'Source/WebKit/gtk/tests/testwebinspector.c', u'Source/WebKit/gtk/tests/testwebplugindatabase.c', u'Source/WebKit/gtk/tests/testwebresource.c', u'Source/WebKit/gtk/tests/testwebsettings.c', u'Source/WebKit/gtk/tests/testwebview.c', u'Source/WebKit/gtk/tests/testwindow.c', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/UIProcess/API/gtk/tests/AccessibilityTestServer.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/CMakeLists.txt', u'Source/WebKit2/UIProcess/API/gtk/tests/DOMNodeTest.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/FrameTest.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/GNUmakefile.am', u'Source/WebKit2/UIProcess/API/gtk/tests/InspectorTestServer.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/LoadTrackingTest.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/LoadTrackingTest.h', u'Source/WebKit2/UIProcess/API/gtk/tests/TestAuthentication.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestBackForwardList.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestContextMenu.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestCookieManager.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestDOMNode.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestDownloads.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestFrame.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestInspector.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestInspectorServer.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestLoaderClient.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestMain.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestMain.h', u'Source/WebKit2/UIProcess/API/gtk/tests/TestPrinting.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestResources.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestSSL.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestUIClient.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebExtensions.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebKitAccessibility.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebKitFaviconDatabase.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebKitFindController.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebKitPolicyClient.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebKitSettings.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebKitVersion.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebKitWebContext.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebKitWebView.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebKitWebViewGroup.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/TestWebViewEditor.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/WebExtensionTest.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/WebKitTestBus.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/WebKitTestBus.h', u'Source/WebKit2/UIProcess/API/gtk/tests/WebKitTestServer.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/WebKitTestServer.h', u'Source/WebKit2/UIProcess/API/gtk/tests/WebProcessTest.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/WebProcessTest.h', u'Source/WebKit2/UIProcess/API/gtk/tests/WebProcessTestRunner.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/WebProcessTestRunner.h', u'Source/WebKit2/UIProcess/API/gtk/tests/WebViewTest.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/WebViewTest.h', u'Source/WebKit2/UIProcess/API/gtk/tests/resources/link-title.js', u'Source/WebKit2/UIProcess/API/gtk/tests/resources/test-cert.pem', u'Source/WebKit2/UIProcess/API/gtk/tests/resources/test-key.pem', u'Source/WebKit2/UIProcess/API/gtk/tests/resources/webkit2gtk-tests.gresource.xml', u'Tools/ChangeLog', u'Tools/Scripts/run-gtk-tests', u'Tools/Scripts/webkitpy/style/checker.py', u'Tools/Scripts/webkitpy/style/checker_unittest.py', u'Tools/TestWebKitAPI/GNUmakefile.am', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/AccessibilityTestServer.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/DOMDOMWindowTest.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/DOMNodeTest.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/FrameTest.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/InspectorTestServer.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestAuthentication.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestBackForwardList.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestContextMenu.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestCookieManager.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestDOMDOMWindow.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestDOMNode.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestDownloads.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestFrame.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestInspector.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestInspectorServer.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestLoaderClient.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestPrinting.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestResources.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestSSL.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestUIClient.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebExtensions.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitAccessibility.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitFaviconDatabase.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitFindController.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitPolicyClient.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitSettings.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitVersion.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebContext.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebView.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebViewGroup.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebViewEditor.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/WebExtensionTest.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/WebProcessTest.cpp', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/WebProcessTest.h', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/resources/link-title.js', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/resources/test-cert.pem', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/resources/test-key.pem', u'Tools/TestWebKitAPI/Tests/WebKit2Gtk/resources/webkit2gtk-tests.gresource.xml', u'Tools/TestWebKitAPI/Tests/WebKitGtk/resources/blank.ico', u'Tools/TestWebKitAPI/Tests/WebKitGtk/resources/test.html', u'Tools/TestWebKitAPI/Tests/WebKitGtk/resources/test.ogg', u'Tools/TestWebKitAPI/Tests/WebKitGtk/resources/test.pdf', u'Tools/TestWebKitAPI/Tests/WebKitGtk/resources/test.txt', u'Tools/TestWebKitAPI/Tests/WebKitGtk/test_utils.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/test_utils.h', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testapplicationcache.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testatk.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testatkroles.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testcontextmenu.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testcopyandpaste.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testdomdocument.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testdomdomwindow.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testdomnode.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testdownload.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testfavicondatabase.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testglobals.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testhittestresult.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testhttpbackend.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testkeyevents.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testloading.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testmimehandling.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testnetworkrequest.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testnetworkresponse.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwebbackforwardlist.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwebdatasource.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwebframe.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwebhistoryitem.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwebinspector.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwebplugindatabase.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwebresource.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwebsettings.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwebview.c', u'Tools/TestWebKitAPI/Tests/WebKitGtk/testwindow.c', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/LoadTrackingTest.cpp', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/LoadTrackingTest.h', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/TestMain.cpp', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/TestMain.h', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebKitTestBus.cpp', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebKitTestBus.h', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebKitTestServer.cpp', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebKitTestServer.h', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebProcessTestRunner.cpp', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebProcessTestRunner.h', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.cpp', u'Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.h', '--commit-queue']" exit_code: 1
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestResources.cpp:259:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testglobals.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testfavicondatabase.c"
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/WebExtensionTest.cpp:215:  One line control clauses should not use braces.  [whitespace/braces] [4]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/WebExtensionTest.cpp:224:  Declaration has space between type name and * in static GDBusNodeInfo *introspectionData  [whitespace/declaration] [3]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwebinspector.c"
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.cpp:245:  Omit int when using unsigned  [runtime/unsigned] [1]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.cpp:269:  Omit int when using unsigned  [runtime/unsigned] [1]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.cpp:275:  Omit int when using unsigned  [runtime/unsigned] [1]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.cpp:301:  Omit int when using unsigned  [runtime/unsigned] [1]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwebsettings.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testhittestresult.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwebbackforwardlist.c"
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebKitTestServer.cpp:40:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebKitTestServer.cpp:41:  Use 0 instead of NULL.  [readability/null] [5]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebKitTestServer.cpp:41:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/resources/test.txt"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testnetworkrequest.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testcopyandpaste.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwebview.c"
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/TestMain.h:45:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/TestMain.h:46:  Else clause should never be on same line as else (use 2 lines)  [whitespace/newline] [4]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/TestMain.h:46:  More than one command on the same line in if  [whitespace/parens] [4]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/TestMain.h:48:  preprocessor directives (e.g., #ifdef, #define, #import) should never be indented.  [whitespace/indent] [4]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/test_utils.h"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/test_utils.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwebframe.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testdownload.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testkeyevents.c"
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestPrinting.cpp:123:  Omit int when using unsigned  [runtime/unsigned] [1]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestPrinting.cpp:150:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwebhistoryitem.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testatkroles.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testloading.c"
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebKitTestServer.h:36:  The parameter name "type" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitSettings.cpp:282:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitSettings.cpp:283:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitSettings.cpp:284:  Use 0 instead of NULL.  [readability/null] [5]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitSettings.cpp:284:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.h:55:  Omit int when using unsigned  [runtime/unsigned] [1]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.h:56:  Omit int when using unsigned  [runtime/unsigned] [1]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.h:57:  Omit int when using unsigned  [runtime/unsigned] [1]
ERROR: Tools/TestWebKitAPI/gtk/WebKit2Gtk/WebViewTest.h:83:  Omit int when using unsigned  [runtime/unsigned] [1]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/resources/test.html"
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebContext.cpp:403:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebContext.cpp:406:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwebplugindatabase.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testapplicationcache.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testdomdomwindow.c"
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebViewEditor.cpp:28:  Omit int when using unsigned  [runtime/unsigned] [1]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebViewEditor.cpp:29:  Omit int when using unsigned  [runtime/unsigned] [1]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwindow.c"
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebExtensions.cpp:138:  Declaration has space between type name and * in static const char *mainWorldScript  [whitespace/declaration] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebExtensions.cpp:152:  Declaration has space between type name and * in static const char *isolatedWorldScript  [whitespace/declaration] [3]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testhttpbackend.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwebdatasource.c"
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/AccessibilityTestServer.cpp:41:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/AccessibilityTestServer.cpp:42:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/AccessibilityTestServer.cpp:43:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/AccessibilityTestServer.cpp:44:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/AccessibilityTestServer.cpp:45:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/AccessibilityTestServer.cpp:46:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/AccessibilityTestServer.cpp:47:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/AccessibilityTestServer.cpp:48:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testatk.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testcontextmenu.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testmimehandling.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testdomdocument.c"
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebViewGroup.cpp:84:  Use 0 instead of NULL.  [readability/null] [5]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitAccessibility.cpp:100:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/WebProcessTest.cpp:79:  Declaration has space between type name and * in static GDBusNodeInfo *introspectionData  [whitespace/declaration] [3]
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testwebresource.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testnetworkresponse.c"
WARNING: File exempt from style guide. Skipping: "Tools/TestWebKitAPI/Tests/WebKitGtk/testdomnode.c"
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebView.cpp:389:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebView.cpp:390:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebView.cpp:391:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebView.cpp:392:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebView.cpp:393:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebView.cpp:394:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebView.cpp:395:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Gtk/TestWebKitWebView.cpp:396:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 50 in 90 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 Carlos Garcia Campos 2014-01-04 02:00:58 PST
Created attachment 220373 [details]
Updated patch to fix the style issues
Comment 10 Carlos Garcia Campos 2014-01-04 02:15:53 PST
Btw, cmake part is still missing, I've tried to figure out how to build with cmake to try to do it myself, but I haven't found the way. Do you mind if we add the cmake files in a follow up patch? This patch involves a lot of files and it's a pain to maintain.
Comment 11 Martin Robinson 2014-01-04 12:31:36 PST
Created attachment 220377 [details]
Include CMake build support
Comment 12 Martin Robinson 2014-01-04 12:34:18 PST
I've added CMake support. To make this easier, I moved the files from Tools/TestWebKitAPI/gtk/WebKit2Gtk to Tools/TestWebKitAPI/Tests/WebKit2Gtk. Hopefully this is okay. It makes putting the CMake build file in Tools/TestWebKitAPI/Tests/WebKit2Gtk a lot easier keeps the build tidy.
Comment 13 Carlos Garcia Campos 2014-01-05 01:52:46 PST
(In reply to comment #12)
> I've added CMake support. 

Thank you very much! I managed to start a build with cmake in the end, but it failed complaining about deps libraries in my jhbuild and the system ones. 

> To make this easier, I moved the files from Tools/TestWebKitAPI/gtk/WebKit2Gtk to Tools/TestWebKitAPI/Tests/WebKit2Gtk. Hopefully this is okay. It makes putting the CMake build file in Tools/TestWebKitAPI/Tests/WebKit2Gtk a lot easier keeps the build tidy.

Well, in Tests there are only test files, all other support code, utils or helper libs are outside that dir, that's why I added the library files to Tools/TestWebKitAPI/gtk/WebKit2Gtk instead. I personally don't mind, in our current layout all the files are in the same tests directory, but while moving to TestWebKitAPI I tried to follow the current layout there.
Comment 14 Carlos Garcia Campos 2014-01-05 05:02:41 PST
Wouldn't it be possible to use the Tools/TestWebKitAPI/PlatformGTK.cmake file to add the library and the tests no matter where the sources are? All other tests and libs for the tests are built using that cmake file no? I don't see any other build file inside Tests directory.
Comment 15 Martin Robinson 2014-01-05 09:56:50 PST
(In reply to comment #14)
> Wouldn't it be possible to use the Tools/TestWebKitAPI/PlatformGTK.cmake file to add the library and the tests no matter where the sources are? All other tests and libs for the tests are built using that cmake file no? I don't see any other build file inside Tests directory.

It is possible, but because the CMakeLists.txt in that directory uses the include_directories command, we would have to be careful to set the proper list of include directories for the WebKitGtk and WebKit2Gtk targets. I think having the separate CMakeList.txt files leads to a better separation.

If you are so inclined, you can try to move the files back, but refer to them as ${TOOLS_DIR}/TestWebKitAPI/gtk/WebKit2Gtk/File.cpp in the CMakeLists.txt file.
Comment 16 Gustavo Noronha (kov) 2014-01-06 10:13:13 PST
Comment on attachment 220377 [details]
Include CMake build support

The python bits look OK to me, and the automake/cmake ones too, hopefully I didn't miss anything in this sea of diffs ;)
Comment 17 Martin Robinson 2014-01-06 13:10:39 PST
Committed r161366: <http://trac.webkit.org/changeset/161366>